Package org.opensaml.core.testing

# Class OpenSAMLInitBaseTestCase

java.lang.Object
org.opensaml.core.testing.OpenSAMLInitBaseTestCase

Direct Known Subclasses:
  `XMLObjectBaseTestCase`

public abstract class OpenSAMLInitBaseTestCase extends Object
Base test class for code that needs OpenSAML initialized before any tests are run.

## Constructor Summary

Constructors
Constructor
Description
`OpenSAMLInitBaseTestCase()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initOpenSAML()`
Initialize OpenSAML.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenSAMLInitBaseTestCase

public OpenSAMLInitBaseTestCase()

## Method Details

### initOpenSAML

@BeforeSuite(groups="opensaml.init") public void initOpenSAML() throws InitializationException
Initialize OpenSAML.

Throws:
  `InitializationException` - ...